package com.gic.haoban.manage.web.vo.content.statistics;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/3/13 3:32 PM
 * @Description
 * @Version
 * 好办素材首页数据统计
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MaterialIndexDataVO implements Serializable {

    private static final long serialVersionUID = 7362625836544624683L;

    /**
     * 使用素材导购数
     */
    private Integer useMaterialClerkNum;

    /**
     * 未使用素材导购数
     */
    private Integer unUseMaterialClerkNum;

    /**
     * 转化金额
     */
    private BigDecimal conversionAmount;

    /**
     * 当天素材发布数量
     */
    private Integer newMaterialNum;

    /**
     * 管辖门店数量
     */
    private Integer storeManagerNum;

    /**
     * 点击客户数
     */
    private Integer clickUserNum;


    /**
     * 线下转化客户数
     */
    private Integer offlineConvUserNum;

    /**
     * 线下转化金额
     */
    private BigDecimal offlineConvSalesAmt;


    /**
     * 总转化金额
     */
    private BigDecimal omniConvSalesAmt;

    /**
     * 总转化人数
     */
    private Integer omniConvUserNum;
}
