package com.gic.haoban.manage.web.vo.rank;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author guojx
 * @Date 2023/12/25 15:44
 */
@Data
public class StoreRankAreaVO implements Serializable {

    private String competitionAreaId;

    /**
     * 赛区范围
     */
    private String areaName;


    private String indexCode;

    /**
     * 赛区名称
     */
    private String name;

    /**
     * 是否显示指标（0：否，1：是）
     */
    private Integer showIndex;

    /**
     * 是否固化门店（0：否，1：是）
     */
    private Integer fixedStore;

    /**
     * 管辖门店控件id
     */
    private String storeWidgetId;

    private String creatorUserId;

    private String creatorName;

    private Date createTime;
    private Date updateTime;

    private Integer storeCount;
}
