package com.gic.haoban.manage.service.dao.mapper.chat;

import java.util.Date;
import java.util.List;

import com.gic.haoban.manage.api.dto.chat.GroupChatDataDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.ChatDataSearchQDTO;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatData;
import org.apache.ibatis.annotations.Param;

/**
 * 
 * @ClassName: TabHaobanGroupChatDataMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:48:46
 * @Modify
 * @CopyRight 
 */
public interface GroupChatDataMapper {
    
    public int batchInsert(List<TabGroupChatData> list) ;

    public GroupChatDataDTO listTotalData(ChatDataSearchQDTO qdto);

    public List<GroupChatDataDTO> listForChat(ChatDataSearchQDTO qdto);

    public List<GroupChatDataDTO> listStaffData(ChatDataSearchQDTO qdto);

    public void updateQuitCount(@Param("wxEnterpriseId") String wxEnterpriseId , @Param("date") Date date ,
                                @Param("staffId") String staffId , @Param("quitCount")int quitCount) ;
}