package com.gic.haoban.manage.service.pojo.qo.content;

import com.gic.api.base.commons.BasePageInfo;
import lombok.Data;

import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/29 10:03 AM
 * @Description
 * @Version
 **/
@Data
public class PotentialCustomerQO extends BasePageInfo {

    private static final long serialVersionUID = 5117301447654788339L;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    private String staffId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 搜索字段
     */
    private String search;

    /**
     * 导购是否看过
     * 1已看过
     * 0未看过
     */
    private Integer seeFlag;

    /**
     * 是否导购星标客户
     * 1 与导购是星标
     */
    private Integer starFlag;

    /**
     * 导购与会员是否 企微好友
     * 1 是好友; 0不是
     */
    private Integer hasMemberRelation;

    /**
     * 会员是否有过成交
     * 1 有过成交
     */
    private Integer dealRecord;

    /**
     * 1 会员有手机号
     */
    private Integer hasMemberPhone;

    /**
     * 业务id
     */
    private List<String> bizIds;

    /**
     * 1 按客户搜索
     * 2 按素材搜索
     * @see com.gic.haoban.manage.api.enums.content.InteractRecordSearchType
     */
    private Integer searchType;
}
