package com.gic.haoban.manage.service.service.out.impl.hm;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.haoban.manage.api.dto.hm.WxUserAddLogDTO;
import com.gic.haoban.manage.api.dto.qdto.hm.WxUserAddLogSearchQDTO;
import com.gic.haoban.manage.api.service.hm.WxUserAddLogApiService;
import com.gic.haoban.manage.service.pojo.bo.hm.WxUserAddLogBO;
import com.gic.haoban.manage.service.service.hm.WxUserAddLogService;

@Service("wxUserAddLogApiService")
public class WxUserAddLogApiServiceImpl implements WxUserAddLogApiService {
    
    @Autowired
    private WxUserAddLogService wxUserAddLogService ;
    @Override
    public ServiceResponse<Page<WxUserAddLogDTO>> page(WxUserAddLogSearchQDTO qdto, BasePageInfo pageInfo) {
        qdto.setAddChannel(null);
        Page<WxUserAddLogBO> page = this.wxUserAddLogService.page(qdto, pageInfo) ;
        Page<WxUserAddLogDTO> resultPage = PageHelperUtils.changePageToCurrentPage(page, WxUserAddLogDTO.class);
        return ServiceResponse.success(resultPage);
    }

}
