package com.gic.haoban.manage.web.vo.content.statistics;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/3/23 1:05 PM
 * @Description
 * @Version
 **/
@Data
public class MaterialDataOverviewVO implements Serializable {

    /**
     * 日均使用素材导购数
     */
    private BigDecimal dayAvgUseMatlNum;

    /**
     * 日均导购使用占比
     */
    private BigDecimal dayAvgUseRate;

    /**
     * 点击客户数
     */
    private Integer clickUserNum;

    /**
     * 线上转化客户数
     */
    private Integer convUserNum;

    /**
     * 线上客户转化金额
     */
    private BigDecimal convSalesNmt;


    /**
     * 线下转化客户数
     */
    private Integer offlineConvUserNum;

    /**
     * 线下转化金额
     */
    private BigDecimal offlineConvSalesNmt;

}
