package com.gic.haoban.manage.web.vo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/11/24 13:54
 */
@Data
public class DataMemberExtendVO implements Serializable {

    private String channelCode;

    /**
     * 开卡会员
     */
    private Integer openMbrNum;

    /**
     * 昨日开卡会员
     */
    private Integer lastOpenMbrNum;

    /**
     * 关联会员
     */
    private Integer relMbrNum;

    /**
     * 昨日关联会员
     */
    private Integer lastRelMbrNum;

    /**
     * 关联会员环比
     */
    private Double relMbrNumRatio;
    /**
     * 关联会员同比
     */
    private Double relMbrNumSply;

    /**
     * 开卡会员环比
     */
    private Double openMbrNumRatio;

    /**
     * 开卡会员同比
     */
    private Double openMbrNumSply;

    /**
     * 1:服务门店
     */
    private Integer serviceFlag;
}
