package com.gic.haoban.manage.web.vo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/12/26 14:50
 */
@Data
public class SalesStructureVO implements Serializable {

    /**
     * 1:新老客维度 2:生日会员 3：等级
     */
    private Integer salesStructureType = 1;

    /**
     * 实付金额
     */
    private Double payAmt;

    /**
     * 消费人数
     */
    private Integer csmeNum;

    /**
     * 有效订单数
     */
    private Integer effOrderCnt;

    /**
     * 名称类型
     */
    private String mbrType;

    /**
     * 实付金额占比
     */
    private String payAmtRate;

    /**
     * 消费人数占比
     */
    private String csmeNumRate;

    /**
     * 有效订单数占比
     */
    private String effOrderCntRate;
}
